org.sonatype.plexus.components.sec.dispatcher.model.io.xpp3

## Class SecurityConfigurationXpp3Reader

- java.lang.Object
- - org.sonatype.plexus.components.sec.dispatcher.model.io.xpp3.SecurityConfigurationXpp3Reader

    public class SecurityConfigurationXpp3Reader
    extends Object

Class SecurityConfigurationXpp3Reader.

Version:
  $Revision$ $Date$

### Nested Class Summary

Nested Classes
`static interface` `SecurityConfigurationXpp3Reader.ContentTransformer`

### Field Summary

Fields
`SecurityConfigurationXpp3Reader.ContentTransformer` `contentTransformer` Field contentTransformer.

### Constructor Summary

Constructors
Constructor and Description
`SecurityConfigurationXpp3Reader()`
`SecurityConfigurationXpp3Reader(SecurityConfigurationXpp3Reader.ContentTransformer contentTransformer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getAddDefaultEntities()` Returns the state of the "add default entities" flag.
`SettingsSecurity` `read(InputStream in)` Method read.
`SettingsSecurity` `read(InputStream in, boolean strict)` Method read.
`SettingsSecurity` `read(Reader reader)`
`SettingsSecurity` `read(Reader reader, boolean strict)`
`void` `setAddDefaultEntities(boolean addDefaultEntities)` Sets the state of the "add default entities" flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### contentTransformer

    public final SecurityConfigurationXpp3Reader.ContentTransformer contentTransformer

Field contentTransformer.

### Constructor Detail

#### SecurityConfigurationXpp3Reader

    public SecurityConfigurationXpp3Reader()

#### SecurityConfigurationXpp3Reader

    public SecurityConfigurationXpp3Reader(SecurityConfigurationXpp3Reader.ContentTransformer contentTransformer)

### Method Detail

#### getAddDefaultEntities

    public boolean getAddDefaultEntities()

Returns the state of the "add default entities" flag.

Returns:
  boolean

#### read

    public SettingsSecurity read(Reader reader,
                                 boolean strict)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
  `strict` -
Returns:
  SettingsSecurity
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  `ReaderFactory.newXmlReader(java.io.InputStream)`

#### read

    public SettingsSecurity read(Reader reader)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
Returns:
  SettingsSecurity
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  `ReaderFactory.newXmlReader(java.io.InputStream)`

#### read

    public SettingsSecurity read(InputStream in,
                                 boolean strict)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Method read.

Parameters:
  `in` -
  `strict` -
Returns:
  SettingsSecurity
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### read

    public SettingsSecurity read(InputStream in)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Method read.

Parameters:
  `in` -
Returns:
  SettingsSecurity
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### setAddDefaultEntities

    public void setAddDefaultEntities(boolean addDefaultEntities)

Sets the state of the "add default entities" flag.

Parameters:
  `addDefaultEntities` -